Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.dom.client
Class Text

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Text

    public class Text

extends Node

The Text interface represents textual content.

Field Summary

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` | `Text()`

Method Summary
`static Text` | `as(Node node)` Assert that the given `Node` is of type `Node.TEXT_NODE` and automatically typecast it.
`java.lang.String` | `getData()` The character data of this text node.
`int` | `getLength()` The number of characters available through the data property.
`void` | `setData(java.lang.String data)` The character data of this text node.

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Text

    protected Text()

Method Detail

### as

    public static Text as(Node node)

  Assert that the given `Node` is of type `Node.TEXT_NODE` and automatically typecast it.

### getData

    public final java.lang.String getData()

  The character data of this text node.

### getLength

    public final int getLength()

  The number of characters available through the data property.

### setData

    public final void setData(java.lang.String data)

  The character data of this text node.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD